declare type CallBackFn<T = string> = (url: T) => void;
declare type AsyncUrl<T = CallBackFn, V = unknown> = (cb: T, vm?: V) => void;
declare type CallbackHook<T = unknown> = (vm?: T) => void;
interface Options {
    id: string;
    vue?: unknown;
    url?: string;
    standard?: string;
    extraHead?: string;
    extraCss?: string;
    mediaCss?: boolean;
    popTitle?: string;
    asyncUrl?: AsyncUrl;
    beforeOpenCallback?: CallbackHook;
    openCallback?: CallbackHook;
    closeCallback?: CallbackHook;
    iframeId?: string;
}

interface PrintOptions extends Options {
    clickMounted?: CallbackHook;
}
interface App {
    directive: (id: string, definition?: any) => any;
    [k: string]: any;
}
declare const Vue2Printjs: {
    install: (app: App) => void;
    bind: (el: HTMLElement, binding: any, vnode: any) => void;
    directiveName: string;
};
declare function print(options?: Options | string): void;
declare const Vue3Printjs: {
    install: (app: App) => void;
    mounted: (el: HTMLElement, binding: any, vnode: any) => void;
    directiveName: string;
};

export { PrintOptions, Vue2Printjs, Vue3Printjs, print };
